import os
from dotenv import load_dotenv

basedir = os.path.abspath(os.path.dirname(__file__))
load_dotenv(os.path.join(basedir, '.env'))


class Config(object):
    SECRET_KEY = os.environ.get('SECRET_KEY') or 'you-will-never-guess'
    SQLALCHEMY_DATABASE_URI = os.environ.get('DATABASE_URL') or \
        'sqlite:///' + os.path.join(basedir, 'app.db')
    SQLALCHEMY_TRACK_MODIFICATIONS = False

    # Default Pagination
    POSTS_PER_PAGE = 3

    # Elastisearch
    ELASTICSEARCH_URL = os.environ.get('ELASTICSEARCH_URL')

    # Gmail config
    MAIL_SERVER = "smtp.googlemail.com"
    MAIL_PORT = int(587)
    MAIL_USE_TLS = True
    MAIL_USERNAME = "camratchford@gmail.com"
    MAIL_PASSWORD = "ycixvqkykkrrmtwc"
    ADMINS = ['cameron@ratchfordconsulting.com']

    # Actual prod config for mail
    # MAIL_SERVER = os.environ.get('MAIL_SERVER')
    # MAIL_PORT = int(os.environ.get('MAIL_PORT') or 25)
    # MAIL_USE_TLS = os.environ.get('MAIL_USE_TLS') is not None
    # MAIL_USERNAME = os.environ.get('MAIL_USERNAME')
    # MAIL_PASSWORD = os.environ.get('MAIL_PASSWORD')
    # ADMINS = ['cameron@ratchfordconsulting.com']
